#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CC = gcc
include /usr/share/dpkg/default.mk
DESTDIR=$(CURDIR)/debian/tmp
PKG_LIB = debian/libbg2
PKG_DEV = debian/libbg-dev

%:
	dh $@

override_dh_auto_configure:
	echo $(CC) $(CFLAGS) $(CPPFLAGS) > conf-cc
	echo $(CC) $(LDFLAGS) > conf-ld
	echo $(DESTDIR)/usr/share/man > conf-man
	echo $(DESTDIR)/usr/bin > conf-bin
	echo $(CURDIR)/$(PKG_DEV)/usr/include > conf-include
	echo $(CURDIR)/$(PKG_LIB)/usr/lib > conf-lib

override_dh_auto_build:
	dh_auto_build -- libraries man programs
	doxygen config.dxy

override_dh_auto_test:
	dh_auto_test -- selftests

override_dh_auto_install:
	$(MAKE) install
	rm $(PKG_LIB)/usr/lib/*.la
	# Static linking is part of development suite
	mkdir $(PKG_DEV)/usr/lib
	mv $(PKG_LIB)/usr/lib/*.a $(PKG_DEV)/usr/lib
	mv $(PKG_LIB)/usr/lib/libbg.so $(PKG_DEV)/usr/lib
